Bug 97276 - New port: auido/mutagen, A Python-based audio metadata tag reader and writer
Summary: New port: auido/mutagen, A Python-based audio metadata tag reader and writer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-14 22:20 UTC by Byung-Hee HWANG
Modified: 2006-05-24 21:08 UTC (History)
0 users

See Also:


Attachments
mutagen.shar (3.07 KB, text/plain)
2006-05-14 22:20 UTC, Byung-Hee HWANG
no flags Details
py-mutagen.patch (1020 bytes, patch)
2006-05-14 23:57 UTC, Alexander Botero-Lowry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Byung-Hee HWANG 2006-05-14 22:20:28 UTC
Mutagen is an audio metadata tag reader and writer implemented in
pure Python. It supports reading ID3v1.1, ID3v2.2, ID3v2.3, ID3v2.4,
APEv2, and FLAC, and writing ID3v1.1, ID3v2.4, APEv2, and FLAC. It
can also read MPEG audio and Xing headers.

WWW: http://www.sacredchao.net/quodlibet/wiki/Development/Mutagen

How-To-Repeat: # cd /usr/ports/audio/mutagen
# make install
# make package
# make deinstall
# pkg_add mutagen-1.2.tbz
# make deinstall
# make reinstall
# make package

It worked fine.
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-14 22:43:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Take, I have a python fan I have to put at work :P
Comment 2 Alexander Botero-Lowry 2006-05-14 23:57:26 UTC
Attached is a patch that uses PYDISTUTILS instead of hand-made targets. I also
added a option to use py-vorbis, which will give support to tag flacvorbis and
oggvorbis files. I also made it use ${PYTHON_PKGNAMEPREFIX} so that it follows
conventions for python ports.

Alex
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-15 00:11:46 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 4 Byung-Hee HWANG 2006-05-15 02:11:31 UTC
Ion-Mihai Tetcu wrote:
> Synopsis: New port: auido/mutagen, A Python-based audio metadata tag reader and writer
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: itetcu
> State-Changed-When: Sun May 14 23:11:46 UTC 2006
> State-Changed-Why: 
> Ask for submitter approval.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=97276
> 
Great! I approve it.

Sincerely,

-- 
Byung-Hee HWANG <bh@izb.knu.ac.kr>

"A sentence is made by choices of words."
         -- C. IULIUS CAESAR
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-15 02:14:55 UTC
State Changed
From-To: feedback->open

Submitter approved the new patch.
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-16 17:09:10 UTC
State Changed
From-To: open->suspended

Waiting for submiters of ports/96897 and ports/97276 to decide who will 
maintain the new port
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-05-24 21:08:22 UTC
State Changed
From-To: suspended->closed

Committed. Thanks!